Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.security
Interface JGroup

All Superinterfaces:
  java.security.Principal

    public interface JGroup

extends java.security.Principal

This interface is used to represent a group of principals for jreport server. (A principal represents an entity such as an individual user or a company).

Method Summary
`java.lang.String` | `getDescription()` Get the group's description
`java.lang.String[]` | `getParentGroupNames()` Get the group's parent groups' name list
`java.lang.String[]` | `getRoleNames()` Get the group's role name list
`java.lang.String[]` | `getSubGroupNames()` Get the group's sub gourps' name list
`int` | `getType()` Get the group's type.
`java.lang.String[]` | `getUserNames()` Get the group's user name list

Methods inherited from interface java.security.Principal
`equals, getName, hashCode, toString`

Method Detail

### getDescription

    java.lang.String getDescription()

  Get the group's description

  Returns:
    the group's description

### getType

    int getType()

  Get the group's type. This type is used for checking whether this group is created in local or imported from LDAP server. If this type is 0, it is created in local. If the type is 1, it is imported from LDAP server.

  Returns:
    the group's type

### getParentGroupNames

    java.lang.String[] getParentGroupNames()

  Get the group's parent groups' name list

  Returns:
    the parent groups' name list

### getSubGroupNames

    java.lang.String[] getSubGroupNames()

  Get the group's sub gourps' name list

  Returns:
    the sub groups' name list

### getRoleNames

    java.lang.String[] getRoleNames()

  Get the group's role name list

  Returns:
    the role name list

### getUserNames

    java.lang.String[] getUserNames()

  Get the group's user name list

  Returns:
    the user name list

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD